=== modified file 'src/StoreMeta.h'
--- src/StoreMeta.h	2009-01-21 03:47:47 +0000
+++ src/StoreMeta.h	2009-08-27 12:35:36 +0000
@@ -127,10 +127,6 @@
      */
     STORE_META_STD_LFS,
 
-    /**
-     \deprecated
-     * Object size, not implemented, squid26 compatibility
-     */
     STORE_META_OBJSIZE,
 
     STORE_META_STOREURL,	/* the store url, if different to the normal URL */

=== modified file 'src/store_swapmeta.cc'
--- src/store_swapmeta.cc	2009-01-21 03:47:47 +0000
+++ src/store_swapmeta.cc	2009-08-27 12:35:36 +0000
@@ -61,6 +61,7 @@
     tlv **T = &TLV;
     const char *url;
     const char *vary;
+    const int64_t objsize = e->objectLen();
     assert(e->mem_obj != NULL);
     assert(e->swap_status == SWAPOUT_WRITING);
     url = e->url();
@@ -88,6 +89,17 @@
         return NULL;
     }
 
+
+    if (objsize >= 0) {
+	T = StoreMeta::Add(T, t);
+	t = StoreMeta::Factory(STORE_META_OBJSIZE, sizeof(objsize), &objsize);
+
+	if (!t) {
+	    storeSwapTLVFree(TLV);
+	    return NULL;
+	}
+    }
+
     T = StoreMeta::Add(T, t);
     vary = e->mem_obj->vary_headers;
 


